<?php if (!defined('PmWiki')) exit();
/* Copyright 2006 Kathryn Andersen
    This file is part of the KatSkin skin.

    This is licenced under the Gnu Public Licence, version 2 or later.
*/

## Add {$SkinName} and {$SkinVersion} page variables.
global $FmtPV;
$SkinVersion = '0.02';
$FmtPV['$SkinName'] = "'KatSkin'";
$FmtPV['$SkinVersion'] = "'$SkinVersion'";

global $PageLogoUrl;
$FmtPV['$PageLogoUrl'] = "'$PageLogoUrl'";
global $KatSkinLogoLink;
$FmtPV['$KatSkinLogoLink'] = "'$KatSkinLogoLink'";

## Markup (:noleft:) redefinition
function NoLeftBar() {
     global $HTMLStylesFmt, $PageLeftFmt;
     SetTmplDisplay('PageLeftFmt',0);
     $HTMLStylesFmt[] = " #wikibody { left:0; width:100%; } #wikileft{left:-500px} \n ";
     return '';
   }
Markup('noleft','directives','/\\(:noleft:\\)/e', "NoLeftBar()"); 

/* Include the popup edit window stuff */
include_once("$SkinDir/showhide.php");
include_once("$SkinDir/popup2edit.php");

## automatic loading of skin default config pages
global $WikiLibDirs, $SkinDir;
    $where = count($WikiLibDirs);
    if ($where>1) $where--;
    array_splice($WikiLibDirs, $where, 0, 
        array(new PageStore("$SkinDir/wikilib.d/\$FullName")));
      
global $PageEditForm; 
SDV($PageEditForm,'Site.Popup-EditForm');

/* CMS */
global $KatSkinCMS;
SDV($KatSkinCMS,0);
global $KatSkinCMSHover;
SDV($KatSkinCMSHover,0);
global $KatSkinMenubar;
SDV($KatSkinMenuBar,0);
global $KatSkinIncludeSearch;
SDV($KatSkinIncludeSearch,1);

/* ----------------------------------------- */
/* Theme setting */

global $Now, $KatSkinTheme, $ThemeCss, $ThemeCookie,
$KatSkinLayout, $LayoutCss, $LayoutCookie, $BodyClass;

# Set default theme here,
# the default loads without any cookie being set.
# Different defaults can be set also in config.php 
# or a groups local/GroupName.php (for different coloured groups for instance)
# by adding lines like  $KatSkinTheme = 'blue';
# The keywords used here must be defined below in the various Page...Lists
SDV($KatSkinTheme,'silver');
SDV($KatSkinLayout,'roomy');

# By default style options are enabled, 
# SDV($KatSkinStyleSet, 0); #disables option setting via cookies.
global $KatSkinStyleSet;
SDV($KatSkinStyleSet, 1);

# option arrays, these can be expanded with more custom files.
# comment out any options not wanted.
# The keyword (left of arrow) is used to set the default. 
# Right of the arrow is the css file which gets loaded.
global $PageThemeList;
SDVA($PageThemeList, array (
        'silver' => 'theme_silver.css',
        'lblue' => 'theme_lblue.css',
        'gblue' => 'theme_gblue.css',
        'vioblue' => 'theme_vioblue.css',
        'matrix' => 'theme_matrix.css',
        ));

global $PageLayoutList;
SDVA($PageLayoutList, array (
        'snug' => 'layout_snug.css',
        'roomy' => 'layout_roomy.css',
        'snug_right' => 'layout_snug_right.css',
        'roomy_right' => 'layout_roomy_right.css',
        ));

# define variables
$st = $KatSkinTheme;
$ThemeCss = $PageThemeList[$st];
$sl = $KatSkinLayout;
$LayoutCss = $PageLayoutList[$sl];

if ($KatSkinStyleSet == 1) {

# set cookie expire time (default 1 year)
SDV($ThemeCookieExpires,$Now+60*60*24*365);
SDV($LayoutCookieExpires,$Now+60*60*24*365);

SDV($SkinCookie, $CookiePrefix.'setskin');

# theme cookie routine 
SDV($ThemeCookie, $CookiePrefix.'settheme');
if (isset($_COOKIE[$ThemeCookie])) $st = $_COOKIE[$ThemeCookie];
if (isset($_GET['settheme'])) {
  $st = $_GET['settheme'];
  setcookie($ThemeCookie,$st,$ThemeCookieExpires,'/');}
  if (isset($_GET['themes'])) $st = $_GET['themes'];
if (@$PageThemeList[$st]) $ThemeCss = $PageThemeList[$st];
else $st = $KatSkinTheme;

SDV($LayoutCookie, $CookiePrefix.'setlayout');
if (isset($_COOKIE[$LayoutCookie])) $sl = $_COOKIE[$LayoutCookie];
if (isset($_GET['setlayout'])) {
  $st = $_GET['setlayout'];
  setcookie($LayoutCookie,$sl,$LayoutCookieExpires,'/');}
  if (isset($_GET['layouts'])) $sl = $_GET['layouts'];
if (@$PageLayoutList[$sl]) $LayoutCss = $PageLayoutList[$sl];
else $sl = $KatSkinLayout;

#####end cookies
}

# give the body class the same name as the layout
$BodyClass = $sl;

?>
